VirtualBox

Ticket #12702 (closed defect: fixed)

Opened 9 years ago

Last modified 9 years ago

4.3.6 cannot install on Solaris 12 due to script errors => Fixed in SVN

Reported by: jmcp Owned by:
Component: installer Version: VirtualBox 4.3.6
Keywords: Cc:
Guest type: all Host type: Solaris

Description

I'm running Solaris 12 build 41. I was unable to install VirtualBox v4.3.6 because there are three errors in the vboxconfig.sh script:

260c260
<                     BRANCH_VERSION=STR_KERN_MAJOR
---
>                     BRANCH_VERSION=$STR_KERN_MAJOR
262c262
<                     if test "HOST_OS_MAJORVERSION" = "5.12"; then
---
>                     if test "$HOST_OS_MAJORVERSION" = "5.12"; then

After pkgtrans'ing the pkg so I could hack on the vboxconfig.sh script, I was then able to partially install the package, and determined that the line which translates STR_KERN_MAJOR from the partial FMRI needs another element in its sed invocation

Adding ;s/-.* allows

STR_KERN_MAJOR=echo "$PKGFMRI" | sed 's/^.*\@//;s/\,.*//;s/-.*//'

which then allows correct installation to occur (modulo the vboxconfig.sh checksum and filesize not matching the pkg prototype.

Marking as 'major' because this defect completely prevents installation on Solaris 12.

Attachments

vboxconfig.sh Download (44.0 KB) - added by jmcp 9 years ago.
fixed version of vboxconfig.sh

Change History

Changed 9 years ago by jmcp

fixed version of vboxconfig.sh

comment:1 Changed 9 years ago by ramshankar

Thank you for the report. This was already fixed and backported to 4.3 branch on 28/01/2014. Fix should be available in the next maintenance release.

Here is the complete fix in case anyone wants to patch before we release the next maintenance release:

@@ -258,7 +258,8 @@
                     # STR_KERN_MAJOR is now of the format "5.12-5.12.0.0.0.9.1.3.0:20121012T032837Z" with '9' representing
                     # the build number.
-                    BRANCH_VERSION=STR_KERN_MAJOR
+                    BRANCH_VERSION=$STR_KERN_MAJOR
                     HOST_OS_MAJORVERSION=`echo "$BRANCH_VERSION" | cut -f2 -d'-' | cut -f1,2 -d'.'`
-                    if test "HOST_OS_MAJORVERSION" = "5.12"; then
+                    if test "$HOST_OS_MAJORVERSION" = "5.12"; then
+                        HOST_OS_MAJORVERSION="12"
                         HOST_OS_MINORVERSION=`echo "$BRANCH_VERSION" | cut -f2 -d'-' | cut -f6 -d'.'`
                         return 0
Last edited 9 years ago by ramshankar (previous) (diff)

comment:2 Changed 9 years ago by ramshankar

  • Summary changed from 4.3.6 cannot install on Solaris 12 due to script errors to 4.3.6 cannot install on Solaris 12 due to script errors => Fixed in SVN

comment:3 Changed 9 years ago by frank

Could you test  VBox 4.3.8 RC1?

comment:4 Changed 9 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Fix is part of VBox 4.3.8.

comment:5 Changed 9 years ago by jmcp

I confirm that this issue is resolved with 4.3.8 on Solaris 12 b42.

comment:6 Changed 9 years ago by frank

Thanks for the feedback!

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use